Bug 188452 - New port: comms/svxlink ham radio voice services and Qtel Echolink client
Summary: New port: comms/svxlink ham radio voice services and Qtel Echolink client
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Diane Bruce
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-11 10:00 UTC by Stephen Hurd
Modified: 2014-04-27 03:29 UTC (History)
0 users

See Also:


Attachments
file.shar (22.87 KB, text/plain)
2014-04-11 10:00 UTC, Stephen Hurd
no flags Details
svxlink.shar.txt (29.77 KB, text/plain; charset=us-ascii)
2014-04-11 22:52 UTC, Stephen Hurd
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stephen Hurd freebsd_committer 2014-04-11 10:00:00 UTC
The SvxLink project is a flexible, general purpose voice services system for
ham radio use. The project also includes Qtel, an EchoLink client GUI
application.

I think this may be a resurrection.  Tested on redports.

Fix: Patch attached with submission follows:
Comment 1 Diane Bruce freebsd_committer 2014-04-11 14:25:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->db

I'll take it.
Comment 2 Stephen Hurd freebsd_committer 2014-04-11 22:52:44 UTC
Replace the former sharchive with this one... makes Qtel optional.
Comment 3 Diane Bruce 2014-04-21 21:39:39 UTC
On Fri, Apr 11, 2014 at 08:59:13AM +0000, Stephen Hurd wrote:
> 
> >Number:         188452
> >Category:       ports
> >Synopsis:       New port: comms/svxlink ham radio voice services and Qtel Echolink client
> >Confidential:   no
> >Severity:       non-critical
> >Priority:       low
> >Responsible:    freebsd-ports-bugs
> >State:          open
> >Quarter:        
> >Keywords:       
> >Date-Required:
> >Class:          change-request
> >Submitter-Id:   current-users
> >Arrival-Date:   Fri Apr 11 09:00:00 UTC 2014
> >Closed-Date:
> >Last-Modified:
> >Originator:     Stephen Hurd
> >Release:        10.0-RELEASE
> >Organization:
> >Environment:
> FreeBSD portable 10.0-RELEASE FreeBSD 10.0-RELEASE #0 r260789: Thu Jan 16 22:34:59 UTC 2014     root@snap.freebsd.org:/usr/obj/usr/src/sys/GENERIC  amd64
> 
> >Description:
> The SvxLink project is a flexible, general purpose voice services system for
> ham radio use. The project also includes Qtel, an EchoLink client GUI
> application.
> 
> I think this may be a resurrection.  Tested on redports.
> >How-To-Repeat:
> 
> >Fix:
> 
> 
> > 
> # This is a shell archive.  Save it in a file, remove anything before
> # this line, and then unpack it by entering "sh file".  Note, it may
> # create directories; files and directories will be owned by you and
> # have default permissions.
> #
> # This archive contains:
> #
> #	svxlink
> #	svxlink/files
> #	svxlink/files/patch-echolib_EchoLinkDispatcher.h
> #	svxlink/files/patch-makefile.inc
> #	svxlink/files/patch-async_audio_AsyncAudioDeviceOSS.cpp
> #	svxlink/files/patch-Makefile
> #	svxlink/files/patch-echolib_EchoLinkDirectoryCon.cpp
> #	svxlink/files/patch-locationinfo_LocationInfo.cpp
> #	svxlink/files/patch-svxlink_trx_SwDtmfDecoder.cpp
> #	svxlink/files/patch-svxlink_trx_ToneDecoder.cpp
> #	svxlink/files/patch-svxlink_trx_NetTrxMsg.h
> #	svxlink/files/patch-svxlink_trx_NetTrxTcpClient.cpp
> #	svxlink/files/patch-svxlink_Makefile.default
> #	svxlink/files/patch-makefile.cfg
> #	svxlink/files/patch-svxlink_scripts_Makefile.default
> #	svxlink/files/patch-create_config.sh
> #	svxlink/pkg-plist
> #	svxlink/pkg-descr
> #	svxlink/distinfo
> #	svxlink/Makefile
> #
> echo c - svxlink
> mkdir -p svxlink > /dev/null 2>&1
> echo c - svxlink/files
> mkdir -p svxlink/files > /dev/null 2>&1
> echo x - svxlink/files/patch-echolib_EchoLinkDispatcher.h
> sed 's/^X//' >svxlink/files/patch-echolib_EchoLinkDispatcher.h << '2958e3a55cf2c6afb0ad1735d927227e'
> X--- echolib/EchoLinkDispatcher.h.orig	2014-04-10 02:13:14.000000000 -0700
> X+++ echolib/EchoLinkDispatcher.h	2014-04-10 02:22:41.000000000 -0700
> X@@ -215,7 +215,8 @@
> X 	return a1 < a2;
> X       }
> X     };
> X-    typedef std::map<Async::IpAddress, ConData, ipaddr_lt> ConMap;
> X+    //typedef std::map<Async::IpAddress, ConData, ipaddr_lt> ConMap;
> X+    typedef std::map<Async::IpAddress, ConData> ConMap;
> X     
> X     static const int  	DEFAULT_PORT_BASE = 5198;
> X     
> 2958e3a55cf2c6afb0ad1735d927227e
> echo x - svxlink/files/patch-makefile.inc
> sed 's/^X//' >svxlink/files/patch-makefile.inc << '561100114a4b5529b71e80d377a8180d'
> X--- makefile.inc.orig	2014-04-10 04:44:46.000000000 -0700
> X+++ makefile.inc	2014-04-10 04:45:04.000000000 -0700
> X@@ -160,7 +160,7 @@
> X 	    else \
> X 	      $(ECHO) --- Installing $(BOLD)$$file$(NBOLD) in \
> X 	              $(BOLD)$${target_dir}$(NBOLD)...; \
> X-	      cp -pdf $$file $${target_dir}; \
> X+	      cp -pf $$file $${target_dir}; \
> X 	      [ -n "$$perm" -a "$$perm" != '-' ] \
> X 	          && chmod $$perm $${target_dir}/`basename $$file`; \
> X 	      [ -z "$$NO_CHOWN" -a -n "$$owner" -a "$$owner" != '-' ] \
> X@@ -245,7 +245,7 @@
> X 	    target_dir=$${dir}; \
> X 	  fi; \
> X 	  if [ "$@" = "install-extras" ]; then \
> X-	    $(MKDIR) $${target_dir} -p; \
> X+	    $(MKDIR) -p $${target_dir}; \
> X 	    [ -n "$$perm" -a "$$perm" != '-' ] \
> X 	        && chmod $$perm $${target_dir}; \
> X 	    [ -z "$$NO_CHOWN" -a -n "$$owner" -a "$$owner" != '-' ] \
> X@@ -311,10 +311,10 @@
> X      }; remove_file
> X 
> X # Some useful printing macros
> X-BOLD		= "\033[1m"
> X-NBOLD		= "\033[0m"
> X+#BOLD		= "\033[1m"
> X+#NBOLD		= "\033[0m"
> X
> X #ECHO		= /bin/echo -e
> X BECHO		= $(ECHO) $(BOLD)txt $(NBOLD)
> X 
> X # Compiler
> X@@ -408,7 +408,7 @@
> X ifdef PROGS
> X $(PROGS):	$(notdir $(PROGS:%=%.o)) $(PRGOBJS) $(LIBDEP)
> X 	if [ -n "$(BIN)" -a ! -d "$(BIN)" ]; then \
> X-	  $(MKDIR) $(BIN) -p; \
> X+	  $(MKDIR) -p $(BIN); \
> X 	fi
> X 	BASENAME=`basename $@`_version; \
> X 	if [ -r $${BASENAME}.h -a -r $${BASENAME}.c ]; then \
> X@@ -429,7 +429,7 @@
> X ifdef CPPPROGS
> X $(CPPPROGS):	$(notdir $(CPPPROGS:%=%.o)) $(PRGOBJS) $(LIBDEP)
> X 	if [ -n "$(BIN)" -a ! -d "$(BIN)" ]; then \
> X-	  $(MKDIR) $(BIN) -p; \
> X+	  $(MKDIR) -p $(BIN); \
> X 	fi
> X 	BASENAME=`basename $@`_version; \
> X 	if [ -r $${BASENAME}.h -a -r $${BASENAME}.c ]; then \
> X@@ -522,7 +522,7 @@
> X $(EXPINC:%=$(INC)/%):
> X 	$(ECHO) --- Creating $(BOLD)$@$(NBOLD)...
> X 	if [ -n "$(INC)" -a ! -d "$(INC)" ]; then \
> X-	  $(MKDIR) $(INC) -p; \
> X+	  $(MKDIR) -p $(INC); \
> X 	fi
> X 	$(RM) $@
> X 	ln -s $$($(REVPATH) $$(dirname $@))/$$(basename $@) $@
> X@@ -535,7 +535,7 @@
> X 	$(RM) $(LIBFILE)
> X 	$(ECHO) --- Creating archive $(BOLD)$@$(NBOLD)...
> X 	if [ -n "$(LIB)" -a ! -d "$(LIB)" ]; then \
> X-	  $(MKDIR) $(LIB) -p; \
> X+	  $(MKDIR) -p $(LIB); \
> X       	fi
> X 	$(AR) cq $(LIBFILE) $(LIBOBJS)
> X 	if [ -n "$(STATIC_LIBS)" ]; then \
> X@@ -801,12 +801,12 @@
> X endif
> X 
> X $(ROOT)/.config:	$(ROOT)/create_config.sh
> X 	echo -e --- Creating $(BOLD)$@$(NBOLD)...
> X 	$(ROOT)/create_config.sh $@
> X 
> X .config:
> X 	if [ -x ./create_config ]; then \
> X 	  echo -e --- Creating $(BOLD)$@$(NBOLD)...; \
> X 	  rm -f $@; \
> X 	  ./create_config $@; \
> X 	  echo "MAKEFILE_LOCAL_CONFIG_INCLUDED = 1" >> $@; \
> X@@ -815,7 +815,7 @@
> X # Generate version files
> X version/%.h: $(ROOT)/versions
> X 	if [ ! -d version ]; then \
> X-	  $(MKDIR) version -p; \
> X+	  $(MKDIR) -p version; \
> X 	fi; \
> X 	. $(ROOT)/versions; \
> X 	if [ -n "$${$*}" ]; then \
> 561100114a4b5529b71e80d377a8180d
> echo x - svxlink/files/patch-async_audio_AsyncAudioDeviceOSS.cpp
> sed 's/^X//' >svxlink/files/patch-async_audio_AsyncAudioDeviceOSS.cpp << '78dc4ad939d22fbe25e73c7e5fd5b76b'
> X--- async/audio/AsyncAudioDeviceOSS.cpp.orig	2014-04-09 22:38:17.000000000 -0700
> X+++ async/audio/AsyncAudioDeviceOSS.cpp	2014-04-09 22:38:29.000000000 -0700
> X@@ -41,6 +41,7 @@
> X #include <sys/soundcard.h>
> X #include <sys/ioctl.h>
> X #include <unistd.h>
> X+#include <stdlib.h>
> X 
> X #include <cassert>
> X #include <cstring>
> 78dc4ad939d22fbe25e73c7e5fd5b76b
> echo x - svxlink/files/patch-Makefile
> sed 's/^X//' >svxlink/files/patch-Makefile << 'e0530e9bbccb784e72c4c1f46546ec67'
> X--- Makefile.orig	2013-03-09 00:18:15.000000000 -0800
> X+++ Makefile	2014-04-10 04:56:53.000000000 -0700
> X@@ -67,10 +67,10 @@
> X ARCHIVENAME	= $$(basename $$(pwd)).tgz
> X 
> X # Used to get bold text in echo statements
> X-BOLD		= "\033[1m"
> X+#BOLD		= "\033[1m"
> X 
> X # End bold text
> X-NBOLD		= "\033[0m"
> X+#NBOLD		= "\033[0m"
> X 
> X # Create softlink
> X MKSOFT		= ln -s
> e0530e9bbccb784e72c4c1f46546ec67
> echo x - svxlink/files/patch-echolib_EchoLinkDirectoryCon.cpp
> sed 's/^X//' >svxlink/files/patch-echolib_EchoLinkDirectoryCon.cpp << '253201e20580c439943e299c3fa29220'
> X--- echolib/EchoLinkDirectoryCon.cpp.orig	2014-04-09 23:13:08.000000000 -0700
> X+++ echolib/EchoLinkDirectoryCon.cpp	2014-04-09 23:13:15.000000000 -0700
> X@@ -204,7 +204,7 @@
> X     }
> X     else
> X     {
> X-      errno = ECOMM;
> X+      errno = EIO;
> X       return -1;
> X     }
> X   }
> 253201e20580c439943e299c3fa29220
> echo x - svxlink/files/patch-locationinfo_LocationInfo.cpp
> sed 's/^X//' >svxlink/files/patch-locationinfo_LocationInfo.cpp << '36554ad05fbe4c821b7c25d2bd7e862d'
> X--- locationinfo/LocationInfo.cpp.orig	2014-04-09 23:26:23.000000000 -0700
> X+++ locationinfo/LocationInfo.cpp	2014-04-09 23:26:32.000000000 -0700
> X@@ -480,7 +480,7 @@
> X   }
> X 
> X   double tmp = sqrt(2.0 * loc_cfg.height * sqrt((loc_cfg.power / 10.0) *
> X-                        pow10(loc_cfg.gain / 10.0) / 2)) * range_factor;
> X+                        pow(10, loc_cfg.gain / 10.0) / 2)) * range_factor;
> X 
> X   return lrintf(tmp);
> X 
> 36554ad05fbe4c821b7c25d2bd7e862d
> echo x - svxlink/files/patch-svxlink_trx_SwDtmfDecoder.cpp
> sed 's/^X//' >svxlink/files/patch-svxlink_trx_SwDtmfDecoder.cpp << 'ab1bde58458db82aeb9ad0adbb7138dc'
> X--- svxlink/trx/SwDtmfDecoder.cpp.orig	2014-04-09 23:44:56.000000000 -0700
> X+++ svxlink/trx/SwDtmfDecoder.cpp	2014-04-09 23:47:28.000000000 -0700
> X@@ -175,14 +175,14 @@
> X   {
> X     int cfg_fwd_twist = atoi(value.c_str());
> X     if (cfg_fwd_twist >= 0)
> X-      normal_twist = exp10f(cfg_fwd_twist/10.0f);
> X+      normal_twist = powf(10,cfg_fwd_twist/10.0f);
> X   }
> X   
> X   if (cfg().getValue(name(), "DTMF_MAX_REV_TWIST", value))
> X   {
> X     int cfg_rev_twist = atoi(value.c_str());
> X     if (cfg_rev_twist >= 0)
> X-      reverse_twist = exp10f(cfg_rev_twist/10.0f);
> X+      reverse_twist = powf(10,cfg_rev_twist/10.0f);
> X   }
> X   
> X   return true;
> ab1bde58458db82aeb9ad0adbb7138dc
> echo x - svxlink/files/patch-svxlink_trx_ToneDecoder.cpp
> sed 's/^X//' >svxlink/files/patch-svxlink_trx_ToneDecoder.cpp << '52208c23953bdb92fb31a34c1980ee34'
> X--- svxlink/trx/ToneDetector.cpp.orig	2014-04-09 23:45:04.000000000 -0700
> X+++ svxlink/trx/ToneDetector.cpp	2014-04-09 23:47:33.000000000 -0700
> X@@ -335,7 +335,7 @@
> X {
> X   if (thresh > 0.0f)
> X   {
> X-    det_par->peak_thresh = exp10f(thresh/10.0f);
> X+    det_par->peak_thresh = powf(10, thresh/10.0f);
> X   }
> X   else
> X   {
> X@@ -348,7 +348,7 @@
> X {
> X   if (thresh > 0.0f)
> X   {
> X-    undet_par->peak_thresh = exp10f(thresh/10.0f);
> X+    undet_par->peak_thresh = powf(10, thresh/10.0f);
> X   }
> X   else
> X   {
> 52208c23953bdb92fb31a34c1980ee34
> echo x - svxlink/files/patch-svxlink_trx_NetTrxMsg.h
> sed 's/^X//' >svxlink/files/patch-svxlink_trx_NetTrxMsg.h << 'c57b6d6c8276b2a17e523a1cbdfb06cf'
> X--- svxlink/trx/NetTrxMsg.h.orig	2014-04-09 23:51:14.000000000 -0700
> X+++ svxlink/trx/NetTrxMsg.h	2014-04-09 23:51:53.000000000 -0700
> X@@ -176,8 +176,8 @@
> X     MsgProtoVer(void)
> X       : Msg(TYPE, sizeof(MsgProtoVer)), m_major(MAJOR),
> X         m_minor(MINOR) {}
> X-    uint16_t major(void) const { return m_major; }
> X-    uint16_t minor(void) const { return m_minor; }
> X+    uint16_t FBSD_major(void) const { return m_major; }
> X+    uint16_t FBSD_minor(void) const { return m_minor; }
> X   
> X   private:
> X     uint16_t m_major;
> c57b6d6c8276b2a17e523a1cbdfb06cf
> echo x - svxlink/files/patch-svxlink_trx_NetTrxTcpClient.cpp
> sed 's/^X//' >svxlink/files/patch-svxlink_trx_NetTrxTcpClient.cpp << 'd19e0697367f09c85777418b409d4cd5'
> X--- svxlink/trx/NetTrxTcpClient.cpp.orig	2014-04-09 23:51:30.000000000 -0700
> X+++ svxlink/trx/NetTrxTcpClient.cpp	2014-04-09 23:52:13.000000000 -0700
> X@@ -328,8 +328,8 @@
> X       {
> X         MsgProtoVer *ver_msg = reinterpret_cast<MsgProtoVer *>(msg);
> X         if ((msg->size() != sizeof(MsgProtoVer)) ||
> X-            (ver_msg->major() != MsgProtoVer::MAJOR) ||
> X-            (ver_msg->minor() != MsgProtoVer::MINOR))
> X+            (ver_msg->FBSD_major() != MsgProtoVer::MAJOR) ||
> X+            (ver_msg->FBSD_minor() != MsgProtoVer::MINOR))
> X         {
> X           cerr << "*** ERROR: Incompatible protocol version. Disconnecting from "
> X                << remoteHost().toString() << ":" << remotePort() << "...\n";
> X@@ -337,8 +337,8 @@
> X           return;
> X         }
> X         cout << remoteHost().toString() << ":" << remotePort()
> X-             << ": RemoteTrx protocol version " << ver_msg->major() << "."
> X-             << ver_msg->minor() << endl;
> X+             << ": RemoteTrx protocol version " << ver_msg->FBSD_major() << "."
> X+             << ver_msg->FBSD_minor() << endl;
> X         state = STATE_AUTH_WAIT;
> X       }
> X       else
> d19e0697367f09c85777418b409d4cd5
> echo x - svxlink/files/patch-svxlink_Makefile.default
> sed 's/^X//' >svxlink/files/patch-svxlink_Makefile.default << '1778eb21340d2768f62f6efec93341d4'
> X--- svxlink/svxlink/Makefile.default.orig	2014-04-09 23:54:07.000000000 -0700
> X+++ svxlink/svxlink/Makefile.default	2014-04-09 23:54:12.000000000 -0700
> X@@ -34,7 +34,7 @@
> X PROJLIBS	= -ltrx -llocationinfo -lasynccpp -lasyncaudio -lasynccore
> X 
> X # Libraries external to the project
> X-LIBS		= -ldl -lpopt -lgsm $(TCL_LIBS) $(GCRYPT_LIBS) $(SIGC_LIBS)
> X+LIBS		= -lpopt -lgsm $(TCL_LIBS) $(GCRYPT_LIBS) $(SIGC_LIBS)
> X 
> X # Specify Qt header files here that you want to run the
> X # Qt Meta Object Compiler on (for programs).
> 1778eb21340d2768f62f6efec93341d4
> echo x - svxlink/files/patch-makefile.cfg
> sed 's/^X//' >svxlink/files/patch-makefile.cfg << '1098a8550a827b2b463e4f33ce9b5ad0'
> X--- makefile.cfg.orig	2013-03-24 02:49:05.000000000 -0700
> X+++ makefile.cfg	2014-04-10 05:10:07.000000000 -0700
> X@@ -60,7 +60,7 @@
> X endif
> X 
> X # Set default include path
> X-INCPATH       		= 
> X+INCPATH       		= ${ADD_INCPATH}
> X 
> X # CFLAGS (for CC) and CXXFLAGS (for CXX)
> X CFLAGS += 
> 1098a8550a827b2b463e4f33ce9b5ad0
> echo x - svxlink/files/patch-svxlink_scripts_Makefile.default
> sed 's/^X//' >svxlink/files/patch-svxlink_scripts_Makefile.default << '3fb7ee19b221a8ea230f6184aa281697'
> X--- svxlink/scripts/Makefile.default.orig	2010-12-04 06:27:53.000000000 -0800
> X+++ svxlink/scripts/Makefile.default	2014-04-10 01:39:24.000000000 -0700
> X@@ -217,14 +217,6 @@
> X # Additional files to install
> X install-extras uninstall-extras rpm-extras:
> X 	$(DIRSPEC) /var/spool/svxlink[755,svxlink,daemon]
> X-	$(FILESPEC) etc/logrotate.d/svxlink[644,root,root,config] /etc/logrotate.d
> X-	$(FILESPEC) etc/logrotate.d/remotetrx[644,root,root,config] /etc/logrotate.d
> X-	$(FILESPEC) etc/init.d/svxlink[755,root,root] /etc/init.d
> X-	$(FILESPEC) etc/sysconfig/svxlink[755,root,root,config] /etc/sysconfig
> X-	$(FILESPEC) etc/10-svxlink.rules[644,root,root,config] /etc/udev/rules.d
> X-	$(FILESPEC) etc/90-svxlink.perms[644,root,root,config] /etc/security/console.perms.d
> X-	$(FILESPEC) etc/init.d/remotetrx[755,root,root] /etc/init.d
> X-	$(FILESPEC) etc/sysconfig/remotetrx[755,root,root,config] /etc/sysconfig
> X 
> X 
> X #
> 3fb7ee19b221a8ea230f6184aa281697
> echo x - svxlink/files/patch-create_config.sh
> sed 's/^X//' >svxlink/files/patch-create_config.sh << '377c5af01a53ce60fd589f05ec4379dc'
> X--- create_config.sh.orig	2014-04-10 05:35:23.000000000 -0700
> X+++ create_config.sh	2014-04-10 05:42:36.000000000 -0700
> X@@ -70,7 +70,7 @@
> X     output "QT_LIBS=$(pkg-config $QT_MODULES --libs-only-l)"
> X     output "QT_INCPATH=$(pkg-config $QT_MODULES --cflags-only-I)"
> X     output "QT_CFLAGS=$(pkg-config $QT_MODULES --cflags-only-other)"
> X-    QT_PREFIX=$(pkg-config QtCore --variable=prefix)
> X+    #QT_PREFIX=$(pkg-config QtCore --variable=prefix)
> X     QT_BIN="${QT_PREFIX}/bin"
> X     output "QT_BIN=${QT_BIN}"
> X     QT_MOC=$(pkg-config QtCore --variable=moc_location)
> X@@ -89,10 +89,10 @@
> X     if [ ! -x "$QT_LRELEASE" ]; then
> X       QT_LRELEASE="$QT_BIN/lrelease"
> X     fi
> X-    output "QT_MOC=${QT_MOC}"
> X-    output "QT_UIC=${QT_UIC}"
> X-    output "QT_RCC=${QT_RCC}"
> X-    output "QT_LRELEASE=${QT_LRELEASE}"
> X+    output "QT_MOC=$MOC"
> X+    output "QT_UIC=$UIC"
> X+    output "QT_RCC=$RCC"
> X+    output "QT_LRELEASE=$LRELEASE"
> X   else
> X     info "no (optional)\n"
> X   fi
> X@@ -120,9 +120,7 @@
> X 
> X # Checking for tcl development library
> X info "--- Checking for TCL development library..."
> X-tclConfig=$(ls /usr/lib/tclConfig.sh /usr/lib/tcl8.*/tclConfig.sh \
> X-	       /usr/lib64/tclConfig.sh /usr/lib64/tcl8.*/tclConfig.sh \
> X-	    2>/dev/null | head -1)
> X+tclConfig=$(ls ${TCL_LIBDIR}/tclConfig.sh 2>/dev/null | head -1)
> X if [ -n "$tclConfig" -a -r "$tclConfig" ]; then
> X   . $tclConfig
> X   info "${TCL_VERSION}\n"
> 377c5af01a53ce60fd589f05ec4379dc
> echo x - svxlink/pkg-plist
> sed 's/^X//' >svxlink/pkg-plist << '236f587e53876292cd429a5dbdad6511'
> Xbin/svxlink
> Xbin/remotetrx
> Xbin/siglevdetcal
> Xbin/qtel
> Xetc/svxlink/svxlink.d/ModuleHelp.conf
> Xetc/svxlink/svxlink.d/ModuleParrot.conf
> Xetc/svxlink/svxlink.d/ModuleEchoLink.conf
> Xetc/svxlink/svxlink.d/ModuleTclVoiceMail.conf
> Xetc/svxlink/svxlink.d/ModuleDtmfRepeater.conf
> Xetc/svxlink/svxlink.d/ModuleMetarInfo.conf
> Xetc/svxlink/svxlink.d/ModulePropagationMonitor.conf
> Xetc/svxlink/svxlink.d/ModuleSelCallEnc.conf
> Xetc/svxlink/svxlink.conf
> Xetc/svxlink/TclVoiceMail.conf
> Xetc/svxlink/.procmailrc
> Xetc/svxlink/remotetrx.conf
> Xinclude/svxlink/AsyncApplication.h
> Xinclude/svxlink/AsyncFdWatch.h
> Xinclude/svxlink/AsyncTimer.h
> Xinclude/svxlink/AsyncIpAddress.h
> Xinclude/svxlink/AsyncTcpClient.h
> Xinclude/svxlink/AsyncDnsLookup.h
> Xinclude/svxlink/AsyncUdpSocket.h
> Xinclude/svxlink/AsyncTcpServer.h
> Xinclude/svxlink/AsyncTcpConnection.h
> Xinclude/svxlink/AsyncConfig.h
> Xinclude/svxlink/AsyncSerial.h
> Xinclude/svxlink/AsyncFileReader.h
> Xinclude/svxlink/AsyncAtTimer.h
> Xinclude/svxlink/AsyncExec.h
> Xinclude/svxlink/AsyncCppApplication.h
> Xinclude/svxlink/AsyncAudioSource.h
> Xinclude/svxlink/AsyncAudioSink.h
> Xinclude/svxlink/AsyncAudioProcessor.h
> Xinclude/svxlink/AsyncAudioClipper.h
> Xinclude/svxlink/AsyncAudioCompressor.h
> Xinclude/svxlink/AsyncAudioFilter.h
> Xinclude/svxlink/AsyncSigCAudioSink.h
> Xinclude/svxlink/AsyncSigCAudioSource.h
> Xinclude/svxlink/AsyncAudioIO.h
> Xinclude/svxlink/AsyncAudioSplitter.h
> Xinclude/svxlink/AsyncAudioDelayLine.h
> Xinclude/svxlink/AsyncAudioValve.h
> Xinclude/svxlink/AsyncAudioAmp.h
> Xinclude/svxlink/AsyncAudioSelector.h
> Xinclude/svxlink/AsyncAudioPassthrough.h
> Xinclude/svxlink/AsyncAudioMixer.h
> Xinclude/svxlink/AsyncAudioFifo.h
> Xinclude/svxlink/AsyncAudioDebugger.h
> Xinclude/svxlink/AsyncAudioPacer.h
> Xinclude/svxlink/AsyncAudioReader.h
> Xinclude/svxlink/AsyncAudioDecimator.h
> Xinclude/svxlink/AsyncAudioInterpolator.h
> Xinclude/svxlink/AsyncAudioStreamStateDetector.h
> Xinclude/svxlink/AsyncAudioEncoder.h
> Xinclude/svxlink/AsyncAudioDecoder.h
> Xinclude/svxlink/AsyncAudioRecorder.h
> Xinclude/svxlink/AsyncAudioJitterFifo.h
> Xinclude/svxlink/AsyncAudioDeviceFactory.h
> Xinclude/svxlink/AsyncAudioDevice.h
> Xinclude/svxlink/AsyncQtApplication.h
> Xinclude/svxlink/common.h
> Xinclude/svxlink/EchoLinkDirectory.h
> Xinclude/svxlink/EchoLinkDispatcher.h
> Xinclude/svxlink/EchoLinkQso.h
> Xinclude/svxlink/EchoLinkStationData.h
> Xinclude/svxlink/EchoLinkProxy.h
> Xlib/libasynccore.a
> Xlib/libasynccore-1.2.0.so
> Xlib/libasynccore.so.1.2
> Xlib/libasynccore.so
> Xlib/libasynccpp.a
> Xlib/libasynccpp-1.2.0.so
> Xlib/libasynccpp.so.1.2
> Xlib/libasynccpp.so
> Xlib/libasyncaudio.a
> Xlib/libasyncaudio-1.2.0.so
> Xlib/libasyncaudio.so.1.2
> Xlib/libasyncaudio.so
> Xlib/libasyncqt.a
> Xlib/libasyncqt-1.2.0.so
> Xlib/libasyncqt.so.1.2
> Xlib/libasyncqt.so
> Xlib/libecholib.a
> Xlib/svxlink/ModuleHelp.so
> Xlib/svxlink/ModuleParrot.so
> Xlib/svxlink/ModuleEchoLink.so
> Xlib/svxlink/ModuleTcl.so
> Xlib/svxlink/ModuleDtmfRepeater.so
> Xlib/svxlink/ModuleMetarInfo.so
> Xlib/libecholib-1.2.1.so
> Xlib/libecholib.so.1.2
> Xlib/libecholib.so
> Xlib/liblocationinfo.a
> Xlib/libtrx.a
> Xshare/applications/qtel.desktop
> X%%DATADIR%%/events.tcl
> X%%DATADIR%%/events.d/RepeaterLogic.tcl
> X%%DATADIR%%/events.d/SimplexLogic.tcl
> X%%DATADIR%%/events.d/Module.tcl
> X%%DATADIR%%/events.d/Logic.tcl
> X%%DATADIR%%/events.d/CW.tcl
> X%%DATADIR%%/events.d/SelCall.tcl
> X%%DATADIR%%/events.d/locale.tcl
> X%%DATADIR%%/events.d/Help.tcl
> X%%DATADIR%%/events.d/Parrot.tcl
> X%%DATADIR%%/events.d/EchoLink.tcl
> X%%DATADIR%%/events.d/Tcl.tcl.example
> X%%DATADIR%%/events.d/TclVoiceMail.tcl
> X%%DATADIR%%/events.d/DtmfRepeater.tcl
> X%%DATADIR%%/events.d/MetarInfo.tcl
> X%%DATADIR%%/events.d/PropagationMonitor.tcl
> X%%DATADIR%%/events.d/SelCallEnc.tcl
> X%%DATADIR%%/modules.d/ModuleTcl.tcl.example
> X%%DATADIR%%/modules.d/ModuleTclVoiceMail.tcl
> X%%DATADIR%%/modules.d/ModulePropagationMonitor.tcl
> X%%DATADIR%%/modules.d/ModuleSelCallEnc.tcl
> Xshare/qtel/translations/qtel_sv.qm
> Xshare/qtel/translations/qtel_de.qm
> Xshare/qtel/translations/qtel_tr.qm
> Xshare/qtel/translations/qtel_nl.qm
> Xshare/qtel/translations/qtel_it.qm
> Xshare/qtel/translations/qtel_uk.qm
> Xshare/qtel/translations/qtel_ru.qm
> Xshare/qtel/translations/qtel_hu.qm
> Xshare/qtel/translations/qtel_es.qm
> Xshare/qtel/translations/qtel_ja.qm
> Xshare/qtel/translations/qtel_fr.qm
> Xshare/qtel/sounds/connect.raw
> Xshare/icons/link.xpm
> Xman/man1/svxlink.1.gz
> Xman/man1/remotetrx.1.gz
> Xman/man1/siglevdetcal.1.gz
> Xman/man1/qtel.1.gz
> Xman/man5/svxlink.conf.5.gz
> Xman/man5/ModuleHelp.conf.5.gz
> Xman/man5/ModuleParrot.conf.5.gz
> Xman/man5/ModuleEchoLink.conf.5.gz
> Xman/man5/ModuleTclVoiceMail.conf.5.gz
> Xman/man5/ModuleDtmfRepeater.conf.5.gz
> Xman/man5/ModulePropagationMonitor.conf.5.gz
> Xman/man5/ModuleSelCallEnc.conf.5.gz
> Xman/man5/remotetrx.conf.5.gz
> X@dirrmtry etc/svxlink/svxlink.d
> X@dirrmtry etc/svxlink
> X@dirrm include/svxlink
> X@dirrm lib/svxlink
> X@dirrm %%DATADIR%%/events.d
> X@dirrm %%DATADIR%%/modules.d
> X@dirrm %%DATADIR%%/sounds
> X@dirrm %%DATADIR%%
> X@dirrm share/qtel/translations
> X@dirrm share/qtel/sounds
> X@dirrm share/qtel
> X@dirrmtry share/applications
> X@dirrmtry share/icons
> X@unexec rmdir >/dev/null 2>&1 /var/spool/svxlink/voice_mail || :
> X@unexec rmdir >/dev/null 2>&1 /var/spool/svxlink/qso_recorder || :
> X@unexec rmdir >/dev/null 2>&1 /var/spool/svxlink/propagation_monitor || :
> X@unexec rmdir >/dev/null 2>&1 /var/spool/svxlink || :
> 236f587e53876292cd429a5dbdad6511
> echo x - svxlink/pkg-descr
> sed 's/^X//' >svxlink/pkg-descr << '7b124be26f10e387bcf5fea266f22cfb'
> XThe SvxLink project is a flexible, general purpose voice services system for
> Xham radio use. The project also includes Qtel, an EchoLink client GUI
> Xapplication.
> X
> XWWW: http://sourceforge.net/apps/trac/svxlink/
> 7b124be26f10e387bcf5fea266f22cfb
> echo x - svxlink/distinfo
> sed 's/^X//' >svxlink/distinfo << 'e5aa8bc3a0f698f6ba891e168644c747'
> XSHA256 (svxlink-13.12.tar.gz) = c2a991a35f3386027e33f35c53c9d383231bc8e3184c8e2fef871e4f68622245
> XSIZE (svxlink-13.12.tar.gz) = 1168697
> e5aa8bc3a0f698f6ba891e168644c747
> echo x - svxlink/Makefile
> sed 's/^X//' >svxlink/Makefile << 'a5d445273400c748dfa06bdd4caf9847'
> X# Created by: shurd
> X# $FreeBSD: $
> X
> XPORTNAME=	svxlink
> XPORTVERSION=	13.12
> XCATEGORIES=	comms hamradio
> XMASTER_SITES=	SF/svxlink/svxlink/${PORTVERSION}
> X
> XMAINTAINER=	shurd@sasktel.net
> XCOMMENT=	General purpose ham radio voice services and Qtel Echolink client
> X
> XLICENSE=	GPLv2
> X
> XLIB_DEPENDS=	libgsm.so:${PORTSDIR}/audio/gsm \
> X		libspeex.so:${PORTSDIR}/audio/speex \
> X		libgpg-error.so:${PORTSDIR}/security/libgpg-error \
> X		libgcrypt.so:${PORTSDIR}/security/libgcrypt \
> X		libsigc-2.0.so:${PORTSDIR}/devel/libsigc++20 \
> X		libasound.so:${PORTSDIR}/audio/alsa-lib \
> X		libpopt.so:${PORTSDIR}/devel/popt
> XBUILD_DEPENDS=	pkg-config:${PORTSDIR}/devel/pkgconf \
> X		${LOCALBASE}/include/linux/input.h:${PORTSDIR}/multimedia/v4l_compat
> X
> XUSES=		gmake tcl
> XUSE_QT4=	corelib gui network moc_build linguist_build rcc_build uic_build
> XUSE_LDCONFIG=	yes
> X
> XMAKE_FLAGS=	LIB_INSTALL_DIR=${LOCALBASE}/lib \
> X		INC_INSTALL_DIR=${LOCALBASE}/include/svxlink \
> X		BIN_INSTALL_DIR=${LOCALBASE}/bin \
> X		SBIN_INSTALL_DIR=${LOCALBASE}/sbin \
> X		PLUGIN_INSTALL_DIR=${LOCALBASE}/lib/svxlink \
> X		QT_LRELEASE=${LRELEASE} \
> X		TCL_LIBDIR=${TCL_LIBDIR} \
> X		ADD_INCPATH=-I${LOCALBASE}/include
> XMAKE_ENV=	MOC=${MOC} \
> X		RCC=${RCC} \
> X		UIC=${UIC} \
> X		LRELEASE=${LRELEASE} \
> X		QT_LIBDIR=${QT_LIBDIR} \
> X		QT_INCDIR=${QT_INCDIR} \
> X		QT_PREFIX=${QT_PREFIX}
> X
> X.include <bsd.port.options.mk>
> X
> Xpost-patch:
> X	@${GREP} -lr /usr/share/ ${WRKSRC} | ${XARGS} ${REINPLACE_CMD} \
> X		-e 's|/usr/share/man|${MANPREFIX}/man|' \
> X		-e 's|/usr/share/doc/svxlink|${DOCSDIR}|' \
> X		-e 's|/usr/share/svxlink|${DATADIR}|' \
> X		-e 's|/usr/share/qtel|${PREFIX}/share/qtel|' \
> X		-e 's|/usr/share/applications|${DESKTOPDIR}|' \
> X		-e 's|/usr/share/icons|${PREFIX}/share/icons|'
> X	@${GREP} -lr /dev/ttyS0 ${WRKSRC} | ${GREP} -v .bak | ${GREP} -v .orig | ${XARGS} \
> X		${REINPLACE_CMD} -e 's|/dev/ttyS0|/dev/ttyu0|'
> X	@${REINPLACE_CMD} -e 's|/usr/bin/|${PREFIX}/bin/|' ${WRKSRC}/qtel/qtel.desktop
> X	@${REINPLACE_CMD} -e 's|/usr/lib/svxlink/|${PREFIX}/bin/|' \
> X		${WRKSRC}/doc/man/svxlink.conf.5 \
> X		${WRKSRC}/svxlink/svxlink/svxlink.conf
> X	@${GREP} -lr /etc/ ${WRKSRC} | ${GREP} -v .bak | ${GREP} -v .orig | ${XARGS} \
> X		${REINPLACE_CMD} -e 's|/etc/|${PREFIX}/etc/|'
> X	@${GREP} -lr 'echo -e' ${WRKSRC} | ${GREP} -v .bak | ${GREP} -v .orig | ${XARGS} \
> X		${REINPLACE_CMD} \
> X		-e 's|echo -en|echo -n|' \
> X		-e 's|echo -e|echo |'
> X	@${FIND} ${WRKSRC} -name 'Makefile*' | ${GREP} -v .bak | ${GREP} -v .orig | ${XARGS} \
> X		${REINPLACE_CMD} -e 's|,root,root|,root,wheel|'
> X	@${GREP} -lr alsa:default ${WRKSRC} | ${GREP} -v .bak | ${GREP} -v .orig | ${XARGS} \
> X		${REINPLACE_CMD} -e 's|alsa:default|oss:/dev/dsp|'
> X	@${GREP} -lr alsa:plughw:0 ${WRKSRC} | ${GREP} -v .bak | ${GREP} -v .orig | ${XARGS} \
> X		${REINPLACE_CMD} -e 's|alsa:plughw:0|oss:/dev/dsp|'
> X
> X.include <bsd.port.mk>
> a5d445273400c748dfa06bdd4caf9847
> exit
> 
> 
> 
> >Release-Note:
> >Audit-Trail:
> >Unformatted:
> _______________________________________________
> freebsd-ports-bugs@freebsd.org mailing list
> http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
> To unsubscribe, send any mail to "freebsd-ports-bugs-unsubscribe@freebsd.org"

Yes this port was previously added as comms/qtel

r299947 | scheidell | 2012-06-25 10:34:23 -0500 (Mon, 25 Jun 2012) | 8 lines

Addport: ports/comms: Repeater controller and EchoLink (simplex or repeater) sof
tware
including a GUI, Qtel - The Qt EchoLink client, written using the Qt widget tool
kit.

WWW: http://sourceforge.net/apps/trac/svxlink

PR:             ports/168452
Submitted by:   Stephen Hurd <shurd@sasktel.net> (maintainer)

And removed here
http://svnweb.freebsd.org/ports?view=revision&revision=323748

Meanwhile, svxnlink looks good to go. Hang on.


- Diane
-- 
- db@FreeBSD.org db@db.net http://www.db.net/~db
Comment 4 dfilter service freebsd_committer 2014-04-23 20:38:57 UTC
Author: db
Date: Wed Apr 23 19:38:47 2014
New Revision: 351967
URL: http://svnweb.freebsd.org/changeset/ports/351967
QAT: https://qat.redports.org/buildarchive/r351967/

Log:
  The SvxLink project is a flexible, general purpose voice services system for
  ham radio use. The project also includes Qtel, an EchoLink client GUI
  application.
  
  WWW: http://sourceforge.net/apps/trac/svxlink/
  
  This replaces the earlier and removed comms/qtel port.
  
  PR:		ports/188452
  Submitted by:	Stephen Hurd <shurd@sasktel.net>

Added:
  head/comms/svxlink/
  head/comms/svxlink/Makefile   (contents, props changed)
  head/comms/svxlink/distinfo   (contents, props changed)
  head/comms/svxlink/files/
  head/comms/svxlink/files/patch-Makefile   (contents, props changed)
  head/comms/svxlink/files/patch-async_audio_AsyncAudioDeviceOSS.cpp   (contents, props changed)
  head/comms/svxlink/files/patch-async_core_AsyncConfig.h   (contents, props changed)
  head/comms/svxlink/files/patch-create_config.sh   (contents, props changed)
  head/comms/svxlink/files/patch-doc_man_Makefile.default   (contents, props changed)
  head/comms/svxlink/files/patch-echolib_EchoLinkDirectoryCon.cpp   (contents, props changed)
  head/comms/svxlink/files/patch-echolib_EchoLinkDispatcher.h   (contents, props changed)
  head/comms/svxlink/files/patch-locationinfo_LocationInfo.cpp   (contents, props changed)
  head/comms/svxlink/files/patch-makefile.cfg   (contents, props changed)
  head/comms/svxlink/files/patch-makefile.inc   (contents, props changed)
  head/comms/svxlink/files/patch-misc_common.h   (contents, props changed)
  head/comms/svxlink/files/patch-svxlink_Makefile.default   (contents, props changed)
  head/comms/svxlink/files/patch-svxlink_scripts_Makefile.default   (contents, props changed)
  head/comms/svxlink/files/patch-svxlink_trx_NetTrxMsg.h   (contents, props changed)
  head/comms/svxlink/files/patch-svxlink_trx_NetTrxTcpClient.cpp   (contents, props changed)
  head/comms/svxlink/files/patch-svxlink_trx_SwDtmfDecoder.cpp   (contents, props changed)
  head/comms/svxlink/files/patch-svxlink_trx_ToneDecoder.cpp   (contents, props changed)
  head/comms/svxlink/pkg-descr   (contents, props changed)
  head/comms/svxlink/pkg-plist   (contents, props changed)
Modified:
  head/comms/Makefile

Modified: head/comms/Makefile
==============================================================================
--- head/comms/Makefile	Wed Apr 23 19:26:06 2014	(r351966)
+++ head/comms/Makefile	Wed Apr 23 19:38:47 2014	(r351967)
@@ -141,6 +141,7 @@
     SUBDIR += spandsp-devel
     SUBDIR += splat
     SUBDIR += sredird
+    SUBDIR += svxlink
     SUBDIR += syncterm
     SUBDIR += tcpser
     SUBDIR += thebridge

Added: head/comms/svxlink/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/svxlink/Makefile	Wed Apr 23 19:38:47 2014	(r351967)
@@ -0,0 +1,108 @@
+# Created by: shurd
+# $FreeBSD$
+
+PORTNAME=	svxlink
+PORTVERSION=	13.12
+CATEGORIES=	comms hamradio
+MASTER_SITES=	SF/svxlink/svxlink/${PORTVERSION}
+
+MAINTAINER=	shurd@sasktel.net
+COMMENT=	General purpose ham radio voice services and Qtel Echolink client
+
+LICENSE=	GPLv2
+
+LIB_DEPENDS=	libgsm.so:${PORTSDIR}/audio/gsm \
+		libspeex.so:${PORTSDIR}/audio/speex \
+		libgpg-error.so:${PORTSDIR}/security/libgpg-error \
+		libgcrypt.so:${PORTSDIR}/security/libgcrypt \
+		libsigc-2.0.so:${PORTSDIR}/devel/libsigc++20 \
+		libasound.so:${PORTSDIR}/audio/alsa-lib \
+		libpopt.so:${PORTSDIR}/devel/popt
+BUILD_DEPENDS=	pkg-config:${PORTSDIR}/devel/pkgconf \
+		${LOCALBASE}/include/linux/input.h:${PORTSDIR}/multimedia/v4l_compat
+
+USES=		gmake tcl
+USE_LDCONFIG=	yes
+
+MAKE_FLAGS=	LIB_INSTALL_DIR=${LOCALBASE}/lib \
+		INC_INSTALL_DIR=${LOCALBASE}/include/svxlink \
+		BIN_INSTALL_DIR=${LOCALBASE}/bin \
+		SBIN_INSTALL_DIR=${LOCALBASE}/sbin \
+		PLUGIN_INSTALL_DIR=${LOCALBASE}/lib/svxlink \
+		TCL_LIBDIR=${TCL_LIBDIR} \
+		ADD_INCPATH=-I${LOCALBASE}/include
+
+OPTIONS_DEFINE=	QTEL
+QTEL_DESC=	Build Qtel EchoLink client
+OPTIONS_DEFAULT=QTEL
+OPTIONS_SUB=	yes
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MQTEL}
+USE_QT4=	corelib gui network moc_build linguist_build rcc_build uic_build
+MAKE_ENV+=	MOC=${MOC} \
+		RCC=${RCC} \
+		UIC=${UIC} \
+		LRELEASE=${LRELEASE} \
+		QT_LIBDIR=${QT_LIBDIR} \
+		QT_INCDIR=${QT_INCDIR} \
+		QT_PREFIX=${QT_PREFIX}
+.else
+MAKE_ENV+=	WITHOUT_QT=yes
+.endif
+
+post-patch:
+	@${GREP} -lr /usr/share/ ${WRKSRC} | ${XARGS} ${REINPLACE_CMD} \
+		-e 's|/usr/share/man|${MANPREFIX}/man|' \
+		-e 's|/usr/share/doc/svxlink|${DOCSDIR}|' \
+		-e 's|/usr/share/svxlink|${DATADIR}|' \
+		-e 's|/usr/share/qtel|${PREFIX}/share/qtel|' \
+		-e 's|/usr/share/applications|${DESKTOPDIR}|' \
+		-e 's|/usr/share/icons|${PREFIX}/share/icons|'
+	@${GREP} -lr /dev/ttyS0 ${WRKSRC} | ${GREP} -v .bak | ${GREP} -v .orig | ${XARGS} \
+		${REINPLACE_CMD} -e 's|/dev/ttyS0|/dev/ttyu0|'
+	@${REINPLACE_CMD} -e 's|/usr/bin/|${PREFIX}/bin/|' ${WRKSRC}/qtel/qtel.desktop
+	@${REINPLACE_CMD} -e 's|/usr/lib|${PREFIX}/lib|' \
+		${WRKSRC}/doc/man/svxlink.conf.5 \
+		${WRKSRC}/svxlink/svxlink/svxlink.conf
+	@${GREP} -lr /etc/ ${WRKSRC} | ${GREP} -v .bak | ${GREP} -v .orig | ${XARGS} \
+		${REINPLACE_CMD} -e 's|/etc/|${PREFIX}/etc/|'
+	@${GREP} -lr 'echo -e' ${WRKSRC} | ${GREP} -v .bak | ${GREP} -v .orig | ${XARGS} \
+		${REINPLACE_CMD} \
+		-e 's|echo -en|echo -n|' \
+		-e 's|echo -e|echo |'
+	@${FIND} ${WRKSRC} -name 'Makefile*' | ${GREP} -v .bak | ${GREP} -v .orig | ${XARGS} \
+		${REINPLACE_CMD} -e 's|,root,root|,root,wheel|'
+	@${GREP} -lr alsa:default ${WRKSRC} | ${GREP} -v .bak | ${GREP} -v .orig | ${XARGS} \
+		${REINPLACE_CMD} -e 's|alsa:default|oss:/dev/dsp|'
+	@${GREP} -lr alsa:plughw:0 ${WRKSRC} | ${GREP} -v .bak | ${GREP} -v .orig | ${XARGS} \
+		${REINPLACE_CMD} -e 's|alsa:plughw:0|oss:/dev/dsp|'
+
+post-stage:
+	${MV}	${STAGEDIR}${PREFIX}/etc/svxlink/.procmailrc \
+		${STAGEDIR}${PREFIX}/etc/svxlink/.procmailrc.sample
+	${MV}	${STAGEDIR}${PREFIX}/etc/svxlink/TclVoiceMail.conf \
+		${STAGEDIR}${PREFIX}/etc/svxlink/TclVoiceMail.conf.sample
+	${MV}	${STAGEDIR}${PREFIX}/etc/svxlink/remotetrx.conf \
+		${STAGEDIR}${PREFIX}/etc/svxlink/remotetrx.conf.sample
+	${MV}	${STAGEDIR}${PREFIX}/etc/svxlink/svxlink.conf \
+		${STAGEDIR}${PREFIX}/etc/svxlink/svxlink.conf.sample
+	${MV}	${STAGEDIR}${PREFIX}/etc/svxlink/svxlink.d/ModuleDtmfRepeater.conf \
+		${STAGEDIR}${PREFIX}/etc/svxlink/svxlink.d/ModuleDtmfRepeater.conf.sample
+	${MV}	${STAGEDIR}${PREFIX}/etc/svxlink/svxlink.d/ModuleEchoLink.conf \
+		${STAGEDIR}${PREFIX}/etc/svxlink/svxlink.d/ModuleEchoLink.conf.sample
+	${MV}	${STAGEDIR}${PREFIX}/etc/svxlink/svxlink.d/ModuleHelp.conf \
+		${STAGEDIR}${PREFIX}/etc/svxlink/svxlink.d/ModuleHelp.conf.sample
+	${MV}	${STAGEDIR}${PREFIX}/etc/svxlink/svxlink.d/ModuleMetarInfo.conf \
+		${STAGEDIR}${PREFIX}/etc/svxlink/svxlink.d/ModuleMetarInfo.conf.sample
+	${MV}	${STAGEDIR}${PREFIX}/etc/svxlink/svxlink.d/ModuleParrot.conf \
+		${STAGEDIR}${PREFIX}/etc/svxlink/svxlink.d/ModuleParrot.conf.sample
+	${MV}	${STAGEDIR}${PREFIX}/etc/svxlink/svxlink.d/ModulePropagationMonitor.conf \
+		${STAGEDIR}${PREFIX}/etc/svxlink/svxlink.d/ModulePropagationMonitor.conf.sample
+	${MV}	${STAGEDIR}${PREFIX}/etc/svxlink/svxlink.d/ModuleSelCallEnc.conf \
+		${STAGEDIR}${PREFIX}/etc/svxlink/svxlink.d/ModuleSelCallEnc.conf.sample
+	${MV}	${STAGEDIR}${PREFIX}/etc/svxlink/svxlink.d/ModuleTclVoiceMail.conf \
+		${STAGEDIR}${PREFIX}/etc/svxlink/svxlink.d/ModuleTclVoiceMail.conf.sample
+
+.include <bsd.port.mk>

Added: head/comms/svxlink/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/svxlink/distinfo	Wed Apr 23 19:38:47 2014	(r351967)
@@ -0,0 +1,2 @@
+SHA256 (svxlink-13.12.tar.gz) = c2a991a35f3386027e33f35c53c9d383231bc8e3184c8e2fef871e4f68622245
+SIZE (svxlink-13.12.tar.gz) = 1168697

Added: head/comms/svxlink/files/patch-Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/svxlink/files/patch-Makefile	Wed Apr 23 19:38:47 2014	(r351967)
@@ -0,0 +1,15 @@
+--- Makefile.orig	2013-03-09 00:18:15.000000000 -0800
++++ Makefile	2014-04-10 04:56:53.000000000 -0700
+@@ -67,10 +67,10 @@
+ ARCHIVENAME	= $$(basename $$(pwd)).tgz
+ 
+ # Used to get bold text in echo statements
+-BOLD		= "\033[1m"
++#BOLD		= "\033[1m"
+ 
+ # End bold text
+-NBOLD		= "\033[0m"
++#NBOLD		= "\033[0m"
+ 
+ # Create softlink
+ MKSOFT		= ln -s

Added: head/comms/svxlink/files/patch-async_audio_AsyncAudioDeviceOSS.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/svxlink/files/patch-async_audio_AsyncAudioDeviceOSS.cpp	Wed Apr 23 19:38:47 2014	(r351967)
@@ -0,0 +1,10 @@
+--- async/audio/AsyncAudioDeviceOSS.cpp.orig	2014-04-09 22:38:17.000000000 -0700
++++ async/audio/AsyncAudioDeviceOSS.cpp	2014-04-09 22:38:29.000000000 -0700
+@@ -41,6 +41,7 @@
+ #include <sys/soundcard.h>
+ #include <sys/ioctl.h>
+ #include <unistd.h>
++#include <stdlib.h>
+ 
+ #include <cassert>
+ #include <cstring>

Added: head/comms/svxlink/files/patch-async_core_AsyncConfig.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/svxlink/files/patch-async_core_AsyncConfig.h	Wed Apr 23 19:38:47 2014	(r351967)
@@ -0,0 +1,35 @@
+--- async/core/AsyncConfig.h.orig	2013-05-25 13:14:51.000000000 -0700
++++ async/core/AsyncConfig.h	2014-04-20 22:49:04.000000000 -0700
+@@ -212,7 +212,9 @@
+       }
+       std::stringstream ssval(str_val);
+       Rsp tmp;
+-      ssval >> tmp >> std::ws;
++      ssval >> tmp;
++      if(!ssval.eof())
++        ssval >> std::ws;
+       if (ssval.fail() || !ssval.eof())
+       {
+ 	return false;
+@@ -261,7 +263,9 @@
+       while (!ssval.eof())
+       {
+         Value tmp;
+-        ssval >> tmp >> std::ws;
++        ssval >> tmp;
++        if(!ssval.eof())
++          ssval >> std::ws;
+         if (ssval.fail())
+         {
+           return false;
+@@ -304,7 +308,9 @@
+       }
+       std::stringstream ssval(str_val);
+       Rsp tmp;
+-      ssval >> tmp >> std::ws;
++      ssval >> tmp;
++      if(!ssval.eof())
++        ssval >> std::ws;
+       if (ssval.fail() || !ssval.eof() || (tmp < min) || (tmp > max))
+       {
+ 	return false;

Added: head/comms/svxlink/files/patch-create_config.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/svxlink/files/patch-create_config.sh	Wed Apr 23 19:38:47 2014	(r351967)
@@ -0,0 +1,92 @@
+--- create_config.sh.orig	2013-10-13 02:39:16.000000000 -0700
++++ create_config.sh	2014-04-11 12:04:57.000000000 -0700
+@@ -61,43 +61,45 @@
+ fi
+ 
+ # Checking for QT
+-info "--- Checking for QT..."
+-if which pkg-config > /dev/null 2>&1; then
+-  if pkg-config QtCore; then
+-    QT_MODULES="QtCore QtGui QtNetwork"
+-    info "yes (pkg-config QtCore)\n"
+-    output "QT_LIBPATH=$(pkg-config $QT_MODULES --libs-only-L)"
+-    output "QT_LIBS=$(pkg-config $QT_MODULES --libs-only-l)"
+-    output "QT_INCPATH=$(pkg-config $QT_MODULES --cflags-only-I)"
+-    output "QT_CFLAGS=$(pkg-config $QT_MODULES --cflags-only-other)"
+-    QT_PREFIX=$(pkg-config QtCore --variable=prefix)
+-    QT_BIN="${QT_PREFIX}/bin"
+-    output "QT_BIN=${QT_BIN}"
+-    QT_MOC=$(pkg-config QtCore --variable=moc_location)
+-    if [ ! -x "$QT_MOC" ]; then
+-      QT_MOC="$QT_BIN/moc"
+-    fi
+-    QT_UIC=$(pkg-config QtCore --variable=uic_location)
+-    if [ ! -x "$QT_UIC" ]; then
+-      QT_UIC="$QT_BIN/uic"
+-    fi
+-    QT_RCC=$(pkg-config QtCore --variable=rcc_location)
+-    if [ ! -x "$QT_RCC" ]; then
+-      QT_RCC="$QT_BIN/rcc"
++if [ "$WITHOUT_QT" != "yes" ]; then
++  info "--- Checking for QT..."
++  if which pkg-config > /dev/null 2>&1; then
++    if pkg-config QtCore; then
++      QT_MODULES="QtCore QtGui QtNetwork"
++      info "yes (pkg-config QtCore)\n"
++      output "QT_LIBPATH=$(pkg-config $QT_MODULES --libs-only-L)"
++      output "QT_LIBS=$(pkg-config $QT_MODULES --libs-only-l)"
++      output "QT_INCPATH=$(pkg-config $QT_MODULES --cflags-only-I)"
++      output "QT_CFLAGS=$(pkg-config $QT_MODULES --cflags-only-other)"
++      #QT_PREFIX=$(pkg-config QtCore --variable=prefix)
++      QT_BIN="${QT_PREFIX}/bin"
++      output "QT_BIN=${QT_BIN}"
++      QT_MOC=$(pkg-config QtCore --variable=moc_location)
++      if [ ! -x "$QT_MOC" ]; then
++        QT_MOC="$QT_BIN/moc"
++      fi
++      QT_UIC=$(pkg-config QtCore --variable=uic_location)
++      if [ ! -x "$QT_UIC" ]; then
++        QT_UIC="$QT_BIN/uic"
++      fi
++      QT_RCC=$(pkg-config QtCore --variable=rcc_location)
++      if [ ! -x "$QT_RCC" ]; then
++        QT_RCC="$QT_BIN/rcc"
++      fi
++      QT_LRELEASE=$(pkg-config QtCore --variable=lrelease_location)
++      if [ ! -x "$QT_LRELEASE" ]; then
++        QT_LRELEASE="$QT_BIN/lrelease"
++      fi
++      output "QT_MOC=$MOC"
++      output "QT_UIC=$UIC"
++      output "QT_RCC=$RCC"
++      output "QT_LRELEASE=$LRELEASE"
++    else
++      info "no (optional)\n"
+     fi
+-    QT_LRELEASE=$(pkg-config QtCore --variable=lrelease_location)
+-    if [ ! -x "$QT_LRELEASE" ]; then
+-      QT_LRELEASE="$QT_BIN/lrelease"
+-    fi
+-    output "QT_MOC=${QT_MOC}"
+-    output "QT_UIC=${QT_UIC}"
+-    output "QT_RCC=${QT_RCC}"
+-    output "QT_LRELEASE=${QT_LRELEASE}"
+   else
+     info "no (optional)\n"
+   fi
+-else
+-  info "no (optional)\n"
+ fi
+ 
+ # Checking for libsigc++
+@@ -120,9 +122,7 @@
+ 
+ # Checking for tcl development library
+ info "--- Checking for TCL development library..."
+-tclConfig=$(ls /usr/lib/tclConfig.sh /usr/lib/tcl8.*/tclConfig.sh \
+-	       /usr/lib64/tclConfig.sh /usr/lib64/tcl8.*/tclConfig.sh \
+-	    2>/dev/null | head -1)
++tclConfig=$(ls ${TCL_LIBDIR}/tclConfig.sh 2>/dev/null | head -1)
+ if [ -n "$tclConfig" -a -r "$tclConfig" ]; then
+   . $tclConfig
+   info "${TCL_VERSION}\n"

Added: head/comms/svxlink/files/patch-doc_man_Makefile.default
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/svxlink/files/patch-doc_man_Makefile.default	Wed Apr 23 19:38:47 2014	(r351967)
@@ -0,0 +1,24 @@
+--- doc/man/Makefile.default.orig	2011-05-15 01:59:35.000000000 -0700
++++ doc/man/Makefile.default	2014-04-11 12:08:08.000000000 -0700
+@@ -11,6 +11,7 @@
+ 
+ # Include version information
+ -include $(ROOT)/versions
++-include $(ROOT)/.config
+ 
+ 
+ ###############################################################################
+@@ -150,8 +151,11 @@
+ 		  ModuleTclVoiceMail.conf.5.gz ModuleDtmfRepeater.conf.5.gz \
+ 		  ModulePropagationMonitor.conf.5.gz \
+ 		  ModuleSelCallEnc.conf.5.gz \
+-		  remotetrx.1.gz remotetrx.conf.5.gz siglevdetcal.1.gz \
+-		  qtel.1.gz
++		  remotetrx.1.gz remotetrx.conf.5.gz siglevdetcal.1.gz
++
++ifdef QT_BIN
++PRE_TARGETS	+=qtel.1.gz
++endif
+ 
+ #POST_TARGETS	= 
+ 

Added: head/comms/svxlink/files/patch-echolib_EchoLinkDirectoryCon.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/svxlink/files/patch-echolib_EchoLinkDirectoryCon.cpp	Wed Apr 23 19:38:47 2014	(r351967)
@@ -0,0 +1,11 @@
+--- echolib/EchoLinkDirectoryCon.cpp.orig	2014-04-09 23:13:08.000000000 -0700
++++ echolib/EchoLinkDirectoryCon.cpp	2014-04-09 23:13:15.000000000 -0700
+@@ -204,7 +204,7 @@
+     }
+     else
+     {
+-      errno = ECOMM;
++      errno = EIO;
+       return -1;
+     }
+   }

Added: head/comms/svxlink/files/patch-echolib_EchoLinkDispatcher.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/svxlink/files/patch-echolib_EchoLinkDispatcher.h	Wed Apr 23 19:38:47 2014	(r351967)
@@ -0,0 +1,12 @@
+--- echolib/EchoLinkDispatcher.h.orig	2014-04-10 02:13:14.000000000 -0700
++++ echolib/EchoLinkDispatcher.h	2014-04-10 02:22:41.000000000 -0700
+@@ -215,7 +215,8 @@
+ 	return a1 < a2;
+       }
+     };
+-    typedef std::map<Async::IpAddress, ConData, ipaddr_lt> ConMap;
++    //typedef std::map<Async::IpAddress, ConData, ipaddr_lt> ConMap;
++    typedef std::map<Async::IpAddress, ConData> ConMap;
+     
+     static const int  	DEFAULT_PORT_BASE = 5198;
+     

Added: head/comms/svxlink/files/patch-locationinfo_LocationInfo.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/svxlink/files/patch-locationinfo_LocationInfo.cpp	Wed Apr 23 19:38:47 2014	(r351967)
@@ -0,0 +1,11 @@
+--- locationinfo/LocationInfo.cpp.orig	2014-04-09 23:26:23.000000000 -0700
++++ locationinfo/LocationInfo.cpp	2014-04-09 23:26:32.000000000 -0700
+@@ -480,7 +480,7 @@
+   }
+ 
+   double tmp = sqrt(2.0 * loc_cfg.height * sqrt((loc_cfg.power / 10.0) *
+-                        pow10(loc_cfg.gain / 10.0) / 2)) * range_factor;
++                        pow(10, loc_cfg.gain / 10.0) / 2)) * range_factor;
+ 
+   return lrintf(tmp);
+ 

Added: head/comms/svxlink/files/patch-makefile.cfg
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/svxlink/files/patch-makefile.cfg	Wed Apr 23 19:38:47 2014	(r351967)
@@ -0,0 +1,11 @@
+--- makefile.cfg.orig	2013-03-24 02:49:05.000000000 -0700
++++ makefile.cfg	2014-04-10 05:10:07.000000000 -0700
+@@ -60,7 +60,7 @@
+ endif
+ 
+ # Set default include path
+-INCPATH       		= 
++INCPATH       		= ${ADD_INCPATH}
+ 
+ # CFLAGS (for CC) and CXXFLAGS (for CXX)
+ CFLAGS += 

Added: head/comms/svxlink/files/patch-makefile.inc
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/svxlink/files/patch-makefile.inc	Wed Apr 23 19:38:47 2014	(r351967)
@@ -0,0 +1,91 @@
+--- makefile.inc.orig	2014-04-10 04:44:46.000000000 -0700
++++ makefile.inc	2014-04-10 04:45:04.000000000 -0700
+@@ -160,7 +160,7 @@
+ 	    else \
+ 	      $(ECHO) --- Installing $(BOLD)$$file$(NBOLD) in \
+ 	              $(BOLD)$${target_dir}$(NBOLD)...; \
+-	      cp -pdf $$file $${target_dir}; \
++	      cp -pf $$file $${target_dir}; \
+ 	      [ -n "$$perm" -a "$$perm" != '-' ] \
+ 	          && chmod $$perm $${target_dir}/`basename $$file`; \
+ 	      [ -z "$$NO_CHOWN" -a -n "$$owner" -a "$$owner" != '-' ] \
+@@ -245,7 +245,7 @@
+ 	    target_dir=$${dir}; \
+ 	  fi; \
+ 	  if [ "$@" = "install-extras" ]; then \
+-	    $(MKDIR) $${target_dir} -p; \
++	    $(MKDIR) -p $${target_dir}; \
+ 	    [ -n "$$perm" -a "$$perm" != '-' ] \
+ 	        && chmod $$perm $${target_dir}; \
+ 	    [ -z "$$NO_CHOWN" -a -n "$$owner" -a "$$owner" != '-' ] \
+@@ -311,10 +311,10 @@
+      }; remove_file
+ 
+ # Some useful printing macros
+-BOLD		= "\033[1m"
+-NBOLD		= "\033[0m"
++#BOLD		= "\033[1m"
++#NBOLD		= "\033[0m"
+
+ #ECHO		= /bin/echo -e
+ BECHO		= $(ECHO) $(BOLD)txt $(NBOLD)
+ 
+ # Compiler
+@@ -408,7 +408,7 @@
+ ifdef PROGS
+ $(PROGS):	$(notdir $(PROGS:%=%.o)) $(PRGOBJS) $(LIBDEP)
+ 	if [ -n "$(BIN)" -a ! -d "$(BIN)" ]; then \
+-	  $(MKDIR) $(BIN) -p; \
++	  $(MKDIR) -p $(BIN); \
+ 	fi
+ 	BASENAME=`basename $@`_version; \
+ 	if [ -r $${BASENAME}.h -a -r $${BASENAME}.c ]; then \
+@@ -429,7 +429,7 @@
+ ifdef CPPPROGS
+ $(CPPPROGS):	$(notdir $(CPPPROGS:%=%.o)) $(PRGOBJS) $(LIBDEP)
+ 	if [ -n "$(BIN)" -a ! -d "$(BIN)" ]; then \
+-	  $(MKDIR) $(BIN) -p; \
++	  $(MKDIR) -p $(BIN); \
+ 	fi
+ 	BASENAME=`basename $@`_version; \
+ 	if [ -r $${BASENAME}.h -a -r $${BASENAME}.c ]; then \
+@@ -522,7 +522,7 @@
+ $(EXPINC:%=$(INC)/%):
+ 	$(ECHO) --- Creating $(BOLD)$@$(NBOLD)...
+ 	if [ -n "$(INC)" -a ! -d "$(INC)" ]; then \
+-	  $(MKDIR) $(INC) -p; \
++	  $(MKDIR) -p $(INC); \
+ 	fi
+ 	$(RM) $@
+ 	ln -s $$($(REVPATH) $$(dirname $@))/$$(basename $@) $@
+@@ -535,7 +535,7 @@
+ 	$(RM) $(LIBFILE)
+ 	$(ECHO) --- Creating archive $(BOLD)$@$(NBOLD)...
+ 	if [ -n "$(LIB)" -a ! -d "$(LIB)" ]; then \
+-	  $(MKDIR) $(LIB) -p; \
++	  $(MKDIR) -p $(LIB); \
+       	fi
+ 	$(AR) cq $(LIBFILE) $(LIBOBJS)
+ 	if [ -n "$(STATIC_LIBS)" ]; then \
+@@ -801,12 +801,12 @@
+ endif
+ 
+ $(ROOT)/.config:	$(ROOT)/create_config.sh
+ 	echo -e --- Creating $(BOLD)$@$(NBOLD)...
+ 	$(ROOT)/create_config.sh $@
+ 
+ .config:
+ 	if [ -x ./create_config ]; then \
+ 	  echo -e --- Creating $(BOLD)$@$(NBOLD)...; \
+ 	  rm -f $@; \
+ 	  ./create_config $@; \
+ 	  echo "MAKEFILE_LOCAL_CONFIG_INCLUDED = 1" >> $@; \
+@@ -815,7 +815,7 @@
+ # Generate version files
+ version/%.h: $(ROOT)/versions
+ 	if [ ! -d version ]; then \
+-	  $(MKDIR) version -p; \
++	  $(MKDIR) -p version; \
+ 	fi; \
+ 	. $(ROOT)/versions; \
+ 	if [ -n "$${$*}" ]; then \

Added: head/comms/svxlink/files/patch-misc_common.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/svxlink/files/patch-misc_common.h	Wed Apr 23 19:38:47 2014	(r351967)
@@ -0,0 +1,13 @@
+--- misc/common.h.orig	2013-09-14 03:27:37.000000000 -0700
++++ misc/common.h	2014-04-20 22:45:31.000000000 -0700
+@@ -119,7 +119,9 @@
+ static bool setValueFromString(ValueType &val, const std::string &str)
+ {
+   std::istringstream ss(str);
+-  ss >> std::noskipws >> val >> std::ws;
++  ss >> std::noskipws >> val;
++  if(!ss.eof())
++    ss >> std::ws;
+   return !ss.fail() && ss.eof();
+ } /* setValueFromString */
+ 

Added: head/comms/svxlink/files/patch-svxlink_Makefile.default
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/svxlink/files/patch-svxlink_Makefile.default	Wed Apr 23 19:38:47 2014	(r351967)
@@ -0,0 +1,11 @@
+--- svxlink/svxlink/Makefile.default.orig	2014-04-09 23:54:07.000000000 -0700
++++ svxlink/svxlink/Makefile.default	2014-04-09 23:54:12.000000000 -0700
+@@ -34,7 +34,7 @@
+ PROJLIBS	= -ltrx -llocationinfo -lasynccpp -lasyncaudio -lasynccore
+ 
+ # Libraries external to the project
+-LIBS		= -ldl -lpopt -lgsm $(TCL_LIBS) $(GCRYPT_LIBS) $(SIGC_LIBS)
++LIBS		= -lpopt -lgsm $(TCL_LIBS) $(GCRYPT_LIBS) $(SIGC_LIBS)
+ 
+ # Specify Qt header files here that you want to run the
+ # Qt Meta Object Compiler on (for programs).

Added: head/comms/svxlink/files/patch-svxlink_scripts_Makefile.default
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/svxlink/files/patch-svxlink_scripts_Makefile.default	Wed Apr 23 19:38:47 2014	(r351967)
@@ -0,0 +1,17 @@
+--- svxlink/scripts/Makefile.default.orig	2010-12-04 06:27:53.000000000 -0800
++++ svxlink/scripts/Makefile.default	2014-04-10 01:39:24.000000000 -0700
+@@ -217,14 +217,6 @@
+ # Additional files to install
+ install-extras uninstall-extras rpm-extras:
+ 	$(DIRSPEC) /var/spool/svxlink[755,svxlink,daemon]
+-	$(FILESPEC) etc/logrotate.d/svxlink[644,root,root,config] /etc/logrotate.d
+-	$(FILESPEC) etc/logrotate.d/remotetrx[644,root,root,config] /etc/logrotate.d
+-	$(FILESPEC) etc/init.d/svxlink[755,root,root] /etc/init.d
+-	$(FILESPEC) etc/sysconfig/svxlink[755,root,root,config] /etc/sysconfig
+-	$(FILESPEC) etc/10-svxlink.rules[644,root,root,config] /etc/udev/rules.d
+-	$(FILESPEC) etc/90-svxlink.perms[644,root,root,config] /etc/security/console.perms.d
+-	$(FILESPEC) etc/init.d/remotetrx[755,root,root] /etc/init.d
+-	$(FILESPEC) etc/sysconfig/remotetrx[755,root,root,config] /etc/sysconfig
+ 
+ 
+ #

Added: head/comms/svxlink/files/patch-svxlink_trx_NetTrxMsg.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/svxlink/files/patch-svxlink_trx_NetTrxMsg.h	Wed Apr 23 19:38:47 2014	(r351967)
@@ -0,0 +1,13 @@
+--- svxlink/trx/NetTrxMsg.h.orig	2014-04-09 23:51:14.000000000 -0700
++++ svxlink/trx/NetTrxMsg.h	2014-04-09 23:51:53.000000000 -0700
+@@ -176,8 +176,8 @@
+     MsgProtoVer(void)
+       : Msg(TYPE, sizeof(MsgProtoVer)), m_major(MAJOR),
+         m_minor(MINOR) {}
+-    uint16_t major(void) const { return m_major; }
+-    uint16_t minor(void) const { return m_minor; }
++    uint16_t FBSD_major(void) const { return m_major; }
++    uint16_t FBSD_minor(void) const { return m_minor; }
+   
+   private:
+     uint16_t m_major;

Added: head/comms/svxlink/files/patch-svxlink_trx_NetTrxTcpClient.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/svxlink/files/patch-svxlink_trx_NetTrxTcpClient.cpp	Wed Apr 23 19:38:47 2014	(r351967)
@@ -0,0 +1,24 @@
+--- svxlink/trx/NetTrxTcpClient.cpp.orig	2014-04-09 23:51:30.000000000 -0700
++++ svxlink/trx/NetTrxTcpClient.cpp	2014-04-09 23:52:13.000000000 -0700
+@@ -328,8 +328,8 @@
+       {
+         MsgProtoVer *ver_msg = reinterpret_cast<MsgProtoVer *>(msg);
+         if ((msg->size() != sizeof(MsgProtoVer)) ||
+-            (ver_msg->major() != MsgProtoVer::MAJOR) ||
+-            (ver_msg->minor() != MsgProtoVer::MINOR))
++            (ver_msg->FBSD_major() != MsgProtoVer::MAJOR) ||
++            (ver_msg->FBSD_minor() != MsgProtoVer::MINOR))
+         {
+           cerr << "*** ERROR: Incompatible protocol version. Disconnecting from "
+                << remoteHost().toString() << ":" << remotePort() << "...\n";
+@@ -337,8 +337,8 @@
+           return;
+         }
+         cout << remoteHost().toString() << ":" << remotePort()
+-             << ": RemoteTrx protocol version " << ver_msg->major() << "."
+-             << ver_msg->minor() << endl;
++             << ": RemoteTrx protocol version " << ver_msg->FBSD_major() << "."
++             << ver_msg->FBSD_minor() << endl;
+         state = STATE_AUTH_WAIT;
+       }
+       else

Added: head/comms/svxlink/files/patch-svxlink_trx_SwDtmfDecoder.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/svxlink/files/patch-svxlink_trx_SwDtmfDecoder.cpp	Wed Apr 23 19:38:47 2014	(r351967)
@@ -0,0 +1,19 @@
+--- svxlink/trx/SwDtmfDecoder.cpp.orig	2014-04-09 23:44:56.000000000 -0700
++++ svxlink/trx/SwDtmfDecoder.cpp	2014-04-09 23:47:28.000000000 -0700
+@@ -175,14 +175,14 @@
+   {
+     int cfg_fwd_twist = atoi(value.c_str());
+     if (cfg_fwd_twist >= 0)
+-      normal_twist = exp10f(cfg_fwd_twist/10.0f);
++      normal_twist = powf(10,cfg_fwd_twist/10.0f);
+   }
+   
+   if (cfg().getValue(name(), "DTMF_MAX_REV_TWIST", value))
+   {
+     int cfg_rev_twist = atoi(value.c_str());
+     if (cfg_rev_twist >= 0)
+-      reverse_twist = exp10f(cfg_rev_twist/10.0f);
++      reverse_twist = powf(10,cfg_rev_twist/10.0f);
+   }
+   
+   return true;

Added: head/comms/svxlink/files/patch-svxlink_trx_ToneDecoder.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/svxlink/files/patch-svxlink_trx_ToneDecoder.cpp	Wed Apr 23 19:38:47 2014	(r351967)
@@ -0,0 +1,20 @@
+--- svxlink/trx/ToneDetector.cpp.orig	2014-04-09 23:45:04.000000000 -0700
++++ svxlink/trx/ToneDetector.cpp	2014-04-09 23:47:33.000000000 -0700
+@@ -335,7 +335,7 @@
+ {
+   if (thresh > 0.0f)
+   {
+-    det_par->peak_thresh = exp10f(thresh/10.0f);
++    det_par->peak_thresh = powf(10, thresh/10.0f);
+   }
+   else
+   {
+@@ -348,7 +348,7 @@
+ {
+   if (thresh > 0.0f)
+   {
+-    undet_par->peak_thresh = exp10f(thresh/10.0f);
++    undet_par->peak_thresh = powf(10, thresh/10.0f);
+   }
+   else
+   {

Added: head/comms/svxlink/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/svxlink/pkg-descr	Wed Apr 23 19:38:47 2014	(r351967)
@@ -0,0 +1,5 @@
+The SvxLink project is a flexible, general purpose voice services system for
+ham radio use. The project also includes Qtel, an EchoLink client GUI
+application.
+
+WWW: http://sourceforge.net/apps/trac/svxlink/

Added: head/comms/svxlink/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/svxlink/pkg-plist	Wed Apr 23 19:38:47 2014	(r351967)
@@ -0,0 +1,159 @@
+bin/svxlink
+bin/remotetrx
+bin/siglevdetcal
+%%QTEL%%bin/qtel
+@sample etc/svxlink/svxlink.d/ModuleHelp.conf.sample
+@sample etc/svxlink/svxlink.d/ModuleParrot.conf.sample
+@sample etc/svxlink/svxlink.d/ModuleEchoLink.conf.sample
+@sample etc/svxlink/svxlink.d/ModuleTclVoiceMail.conf.sample
+@sample etc/svxlink/svxlink.d/ModuleDtmfRepeater.conf.sample
+@sample etc/svxlink/svxlink.d/ModuleMetarInfo.conf.sample
+@sample etc/svxlink/svxlink.d/ModulePropagationMonitor.conf.sample
+@sample etc/svxlink/svxlink.d/ModuleSelCallEnc.conf.sample
+@sample etc/svxlink/svxlink.conf.sample
+@sample etc/svxlink/TclVoiceMail.conf.sample
+@sample etc/svxlink/.procmailrc.sample
+@sample etc/svxlink/remotetrx.conf.sample
+include/svxlink/AsyncApplication.h
+include/svxlink/AsyncFdWatch.h
+include/svxlink/AsyncTimer.h
+include/svxlink/AsyncIpAddress.h
+include/svxlink/AsyncTcpClient.h
+include/svxlink/AsyncDnsLookup.h
+include/svxlink/AsyncUdpSocket.h
+include/svxlink/AsyncTcpServer.h
+include/svxlink/AsyncTcpConnection.h
+include/svxlink/AsyncConfig.h
+include/svxlink/AsyncSerial.h
+include/svxlink/AsyncFileReader.h
+include/svxlink/AsyncAtTimer.h
+include/svxlink/AsyncExec.h
+include/svxlink/AsyncCppApplication.h
+include/svxlink/AsyncAudioSource.h
+include/svxlink/AsyncAudioSink.h
+include/svxlink/AsyncAudioProcessor.h
+include/svxlink/AsyncAudioClipper.h
+include/svxlink/AsyncAudioCompressor.h
+include/svxlink/AsyncAudioFilter.h
+include/svxlink/AsyncSigCAudioSink.h
+include/svxlink/AsyncSigCAudioSource.h
+include/svxlink/AsyncAudioIO.h
+include/svxlink/AsyncAudioSplitter.h
+include/svxlink/AsyncAudioDelayLine.h
+include/svxlink/AsyncAudioValve.h
+include/svxlink/AsyncAudioAmp.h
+include/svxlink/AsyncAudioSelector.h
+include/svxlink/AsyncAudioPassthrough.h
+include/svxlink/AsyncAudioMixer.h
+include/svxlink/AsyncAudioFifo.h
+include/svxlink/AsyncAudioDebugger.h
+include/svxlink/AsyncAudioPacer.h
+include/svxlink/AsyncAudioReader.h
+include/svxlink/AsyncAudioDecimator.h
+include/svxlink/AsyncAudioInterpolator.h
+include/svxlink/AsyncAudioStreamStateDetector.h
+include/svxlink/AsyncAudioEncoder.h
+include/svxlink/AsyncAudioDecoder.h
+include/svxlink/AsyncAudioRecorder.h
+include/svxlink/AsyncAudioJitterFifo.h
+include/svxlink/AsyncAudioDeviceFactory.h
+include/svxlink/AsyncAudioDevice.h
+%%QTEL%%include/svxlink/AsyncQtApplication.h
+include/svxlink/common.h
+include/svxlink/EchoLinkDirectory.h
+include/svxlink/EchoLinkDispatcher.h
+include/svxlink/EchoLinkQso.h
+include/svxlink/EchoLinkStationData.h
+include/svxlink/EchoLinkProxy.h
+lib/libasynccore.a
+lib/libasynccore-1.2.0.so
+lib/libasynccore.so.1.2
+lib/libasynccore.so
+lib/libasynccpp.a
+lib/libasynccpp-1.2.0.so
+lib/libasynccpp.so.1.2
+lib/libasynccpp.so
+lib/libasyncaudio.a
+lib/libasyncaudio-1.2.0.so
+lib/libasyncaudio.so.1.2
+lib/libasyncaudio.so
+%%QTEL%%lib/libasyncqt.a
+%%QTEL%%lib/libasyncqt-1.2.0.so
+%%QTEL%%lib/libasyncqt.so.1.2
+%%QTEL%%lib/libasyncqt.so
+lib/libecholib.a
+lib/svxlink/ModuleHelp.so
+lib/svxlink/ModuleParrot.so
+lib/svxlink/ModuleEchoLink.so
+lib/svxlink/ModuleTcl.so
+lib/svxlink/ModuleDtmfRepeater.so
+lib/svxlink/ModuleMetarInfo.so
+lib/libecholib-1.2.1.so
+lib/libecholib.so.1.2
+lib/libecholib.so
+lib/liblocationinfo.a
+lib/libtrx.a
+%%QTEL%%share/applications/qtel.desktop
+%%DATADIR%%/events.tcl
+%%DATADIR%%/events.d/RepeaterLogic.tcl
+%%DATADIR%%/events.d/SimplexLogic.tcl
+%%DATADIR%%/events.d/Module.tcl
+%%DATADIR%%/events.d/Logic.tcl
+%%DATADIR%%/events.d/CW.tcl
+%%DATADIR%%/events.d/SelCall.tcl
+%%DATADIR%%/events.d/locale.tcl
+%%DATADIR%%/events.d/Help.tcl
+%%DATADIR%%/events.d/Parrot.tcl
+%%DATADIR%%/events.d/EchoLink.tcl
+%%DATADIR%%/events.d/Tcl.tcl.example
+%%DATADIR%%/events.d/TclVoiceMail.tcl
+%%DATADIR%%/events.d/DtmfRepeater.tcl
+%%DATADIR%%/events.d/MetarInfo.tcl
+%%DATADIR%%/events.d/PropagationMonitor.tcl
+%%DATADIR%%/events.d/SelCallEnc.tcl
+%%DATADIR%%/modules.d/ModuleTcl.tcl.example
+%%DATADIR%%/modules.d/ModuleTclVoiceMail.tcl
+%%DATADIR%%/modules.d/ModulePropagationMonitor.tcl
+%%DATADIR%%/modules.d/ModuleSelCallEnc.tcl
+%%QTEL%%share/qtel/translations/qtel_sv.qm
+%%QTEL%%share/qtel/translations/qtel_de.qm
+%%QTEL%%share/qtel/translations/qtel_tr.qm
+%%QTEL%%share/qtel/translations/qtel_nl.qm
+%%QTEL%%share/qtel/translations/qtel_it.qm
+%%QTEL%%share/qtel/translations/qtel_uk.qm
+%%QTEL%%share/qtel/translations/qtel_ru.qm
+%%QTEL%%share/qtel/translations/qtel_hu.qm
+%%QTEL%%share/qtel/translations/qtel_es.qm
+%%QTEL%%share/qtel/translations/qtel_ja.qm
+%%QTEL%%share/qtel/translations/qtel_fr.qm
+%%QTEL%%share/qtel/sounds/connect.raw
+%%QTEL%%share/icons/link.xpm
+man/man1/svxlink.1.gz
+man/man1/remotetrx.1.gz
+man/man1/siglevdetcal.1.gz
+%%QTEL%%man/man1/qtel.1.gz
+man/man5/svxlink.conf.5.gz
+man/man5/ModuleHelp.conf.5.gz
+man/man5/ModuleParrot.conf.5.gz
+man/man5/ModuleEchoLink.conf.5.gz
+man/man5/ModuleTclVoiceMail.conf.5.gz
+man/man5/ModuleDtmfRepeater.conf.5.gz
+man/man5/ModulePropagationMonitor.conf.5.gz
+man/man5/ModuleSelCallEnc.conf.5.gz
+man/man5/remotetrx.conf.5.gz
+@dirrmtry etc/svxlink/svxlink.d
+@dirrmtry etc/svxlink
+@dirrm include/svxlink
+@dirrm lib/svxlink
+@dirrm %%DATADIR%%/events.d
+@dirrm %%DATADIR%%/modules.d
+@dirrm %%DATADIR%%
+%%QTEL%%@dirrm share/qtel/translations
+%%QTEL%%@dirrm share/qtel/sounds
+%%QTEL%%@dirrm share/qtel
+%%QTEL%%@dirrmtry share/applications
+%%QTEL%%@dirrmtry share/icons
+@unexec rmdir >/dev/null 2>&1 /var/spool/svxlink/voice_mail || :
+@unexec rmdir >/dev/null 2>&1 /var/spool/svxlink/qso_recorder || :
+@unexec rmdir >/dev/null 2>&1 /var/spool/svxlink/propagation_monitor || :
+@unexec rmdir >/dev/null 2>&1 /var/spool/svxlink || :
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Diane Bruce freebsd_committer 2014-04-27 03:29:41 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!